﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace DMTTest
{
	public partial class Params : Panel
	{
		public Params()
		{
			this.InitializeComponent();
		}

		internal override void Activate()
		{
			this.nudTime.Value = Config.TimeSpan2Decimal(Config.Time);
			this.nudTimeDec.Value = Config.TimeSpan2Decimal(Config.TimeDec);
			this.nudAnswers.Value = Config.Answers;
			this.nudTimeMin.Value = Config.TimeSpan2Decimal(Config.TimeMin);
			foreach (int m in Config.Multipliers)
			{
				switch (m)
				{
					case 2:
						this.chbxRightValue2.Checked = true;
						break;
					case 3:
						this.chbxRightValue3.Checked = true;
						break;
					case 4:
						this.chbxRightValue4.Checked = true;
						break;
					case 5:
						this.chbxRightValue5.Checked = true;
						break;
					case 6:
						this.chbxRightValue6.Checked = true;
						break;
					case 7:
						this.chbxRightValue7.Checked = true;
						break;
					case 8:
						this.chbxRightValue8.Checked = true;
						break;
					case 9:
						this.chbxRightValue9.Checked = true;
						break;
				}
			}
		}

		internal override void Deactivate()
		{
			Config.Time = Config.Decimal2TimeSpan(this.nudTime.Value);
			Config.TimeDec = Config.Decimal2TimeSpan(this.nudTimeDec.Value);
			Config.Answers = (int)this.nudAnswers.Value;
			Config.TimeMin = Config.Decimal2TimeSpan(this.nudTimeMin.Value);
			System.Collections.Generic.List<int> m = new System.Collections.Generic.List<int>();
			if (this.chbxRightValue2.Checked)
			{
				m.Add(2);
			}
			if (this.chbxRightValue3.Checked)
			{
				m.Add(3);
			}
			if (this.chbxRightValue4.Checked)
			{
				m.Add(4);
			}
			if (this.chbxRightValue5.Checked)
			{
				m.Add(5);
			}
			if (this.chbxRightValue6.Checked)
			{
				m.Add(6);
			}
			if (this.chbxRightValue7.Checked)
			{
				m.Add(7);
			}
			if (this.chbxRightValue8.Checked)
			{
				m.Add(8);
			}
			if (this.chbxRightValue9.Checked)
			{
				m.Add(9);
			}
			Config.Multipliers = m.ToArray();
		}
	}
}
